Skip to main content
GET
/
models
/
{id}
Retrieve a model
curl --request GET \
  --url https://api.llmrouter.app/v1/models/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.llmrouter.app/v1/models/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.llmrouter.app/v1/models/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "anthropic/opus-4.6",
  "name": "<string>",
  "provider": "<string>",
  "pricing": {
    "input": "<unknown>",
    "output": "<unknown>",
    "input_cache_read": "<unknown>",
    "input_cache_write": "<unknown>",
    "web_search": "<unknown>",
    "image": "<unknown>",
    "input_tiers": [
      {
        "min": 123,
        "max": 123,
        "price": "<string>"
      }
    ],
    "output_tiers": [
      {
        "min": 123,
        "max": 123,
        "price": "<string>"
      }
    ]
  },
  "api_compatibility": [],
  "capabilities": [],
  "description": "<unknown>",
  "created": 123,
  "context_window": "<unknown>",
  "max_tokens": "<unknown>",
  "zdr": "<unknown>",
  "latency_p50_last_30m": "<unknown>",
  "throughput_p50_last_30m": "<unknown>",
  "uptime_last_30m": "<unknown>",
  "providers": [
    {
      "provider": "<string>",
      "latency_p50_last_30m": 123,
      "throughput_p50_last_30m": 123,
      "uptime_last_30m": 123
    }
  ]
}
{
"error": {
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

LLM Router API Key (e.g., sk-llmr-...)

Path Parameters

id
string
required

The ID of the model to retrieve (e.g., anthropic/claude-3-5-sonnet)

Response

Model details

id
string
required

Unique model identifier

Example:

"anthropic/opus-4.6"

name
string
required

Human-readable model name

provider
string
required

Provider identifier

pricing
object
required
api_compatibility
enum<string>[]
required
Available options:
chat-completion,
open-responses,
anthropic-messages,
image-generation,
embeddings
capabilities
enum<string>[]
required
Available options:
tool-use,
implicit-caching,
file-input,
image-generation,
vision,
reasoning
description
string | null
created
integer

Unix timestamp when the model was added

context_window
integer | null
max_tokens
integer | null
zdr
boolean | null
latency_p50_last_30m
integer | null
throughput_p50_last_30m
integer | null
uptime_last_30m
number | null
providers
object[]